Search Gradle plugins

Version 0.9.5

Created 28 July 2016.

Bug fixes:

* Generated pom.xml includes super-configuration dependencies (GRADLE-3515)
* Generated pom.xml has correct maven co-ordinates for project dependencies (GRADLE-3359, GRADLE-3509)
* Dependency issue when other Bintray plugin pulls in older Maven model as transitive dependency (GRADLE-3516)

Using the plugins DSL:

plugins {
  id "com.gradle.plugin-publish" version "0.9.5"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.gradle.publish:plugin-publish-plugin:0.9.5"
  }
}

apply plugin: "com.gradle.plugin-publish"

Using the plugins DSL:

plugins {
  id("com.gradle.plugin-publish") version "0.9.5"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.gradle.publish:plugin-publish-plugin:0.9.5")
  }
}

apply(plugin = "com.gradle.plugin-publish")

Learn how to apply plugins to subprojects